Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/AdvancedPreferencePage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/AdvancedPreferencePage.java	(revision 1863)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/AdvancedPreferencePage.java	(revision 1864)
@@ -61,10 +61,10 @@
 	protected void createFieldEditors() {
 
 		// install directory
-		addField(new DirectoryFieldEditor(TBXPreferences.INSTALL_DIR, TXMUIMessages.tXMInstallDirectory, getFieldEditorParent()));
+		//addField(new DirectoryFieldEditor(TBXPreferences.INSTALL_DIR, TXMUIMessages.tXMInstallDirectory, getFieldEditorParent()));
 		
 		// txmhome directory
-		addField(new DirectoryFieldEditor(TBXPreferences.USER_TXM_HOME, TXMUIMessages.tXMUserDirectory, getFieldEditorParent()));
+		//addField(new DirectoryFieldEditor(TBXPreferences.USER_TXM_HOME, TXMUIMessages.tXMUserDirectory, getFieldEditorParent()));
 		
 		Group updateGroup = new Group(getFieldEditorParent(), SWT.NONE);
 		updateGroup.setText(TXMUIMessages.logs);
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/RCPPreferences.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/RCPPreferences.java	(revision 1863)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/RCPPreferences.java	(revision 1864)
@@ -31,7 +31,8 @@
 	 * To auto compute result and refresh editor when a form computing parameter is modified.
 	 */
 	public static final String AUTO_UPDATE_EDITOR = "auto_update_editor"; //$NON-NLS-1$
-
+	public static final String AUTO_COMPUTE_ON_EDITOR_OPEN = "auto_compute_editor"; //$NON-NLS-1$
+	
 	public static final String SHOW_SEVERE_DIALOG = "show_severe_dialog"; 
 
 	public static final String UPDATE_LEVEL = "update_level"; //$NON-NLS-1$
@@ -61,6 +62,7 @@
 	
 	public static final String CGU = "cgu"; //$NON-NLS-1$
 	
+	
 	@Override
 	public void initializeDefaultPreferences() {
 
@@ -78,6 +80,7 @@
 		preferences.put(UPDATE_LEVEL, "STABLE"); //$NON-NLS-1$
 		
 		preferences.putBoolean(AUTO_UPDATE_EDITOR, false);
+		preferences.putBoolean(AUTO_COMPUTE_ON_EDITOR_OPEN, true);
 		preferences.putBoolean(SHOW_SEVERE_DIALOG, false);
 		preferences.putBoolean(USER_ALERT_DELETE, false);
 		preferences.putBoolean(SAVE_BEFORE_EXECUTION, false);
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/UserPreferencePage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/UserPreferencePage.java	(revision 1863)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/UserPreferencePage.java	(revision 1864)
@@ -54,6 +54,8 @@
 		// Auto compute the result when a parameter changes
 		this.addField(new BooleanFieldEditor(RCPPreferences.AUTO_UPDATE_EDITOR, TXMUIMessages.automaticRecomputingWhenChangingAParameter, BooleanFieldEditor.SEPARATE_LABEL, this.getFieldEditorParent()));
 		
+		//this.addField(new BooleanFieldEditor(RCPPreferences.AUTO_COMPUTE_ON_EDITOR_OPEN, "Compute when opening its window", BooleanFieldEditor.SEPARATE_LABEL, this.getFieldEditorParent()));
+				
 		// Auto save each result after computing and auto load them at startup
 		this.addField(new BooleanFieldEditor(TBXPreferences.AUTO_PERSISTENCE_ENABLED, TXMUIMessages.enableAutomaticSaveOfAllResultsPersistence, BooleanFieldEditor.SEPARATE_LABEL, this.getFieldEditorParent()));
 	}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 1863)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 1864)
@@ -67,6 +67,7 @@
 import org.txm.rcp.editors.listeners.BaseAbstractComputeListener;
 import org.txm.rcp.handlers.BaseAbstractHandler;
 import org.txm.rcp.messages.TXMUIMessages;
+import org.txm.rcp.preferences.RCPPreferences;
 import org.txm.rcp.swt.GLComposite;
 import org.txm.rcp.swt.widget.AssistedChoiceQueryWidget;
 import org.txm.rcp.swt.widget.AssistedQueryWidget;
@@ -110,7 +111,6 @@
 	 */
 	public final static String TOP_TOOLBAR_COMPUTE_BUTTON_ID = "compute"; //$NON-NLS-1$
 
-
 	/**
 	 * The editor main tool bar, positioned at the top of the editor.
 	 */
@@ -985,7 +985,7 @@
 			}
 
 			// compute the result only if the editor wasn't already opened
-			if (!wasAlreadyOpened)	{
+			if (!wasAlreadyOpened && RCPPreferences.getInstance().getBoolean(RCPPreferences.AUTO_COMPUTE_ON_EDITOR_OPEN))	{
 				editor.compute(false);
 			}
 		}
